public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-office/texstudio/
Date: Sun, 20 Feb 2022 23:33:14 +0000 (UTC)	[thread overview]
Message-ID: <1645399661.ad83a5e67b6aa68a71c2633b6008d6e8a5f8e962.sam@gentoo> (raw)

commit:     ad83a5e67b6aa68a71c2633b6008d6e8a5f8e962
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 20 23:23:53 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Feb 20 23:27:41 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ad83a5e6

app-office/texstudio: add 4.2.2

Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-office/texstudio/Manifest               |  1 +
 app-office/texstudio/texstudio-4.2.2.ebuild | 80 +++++++++++++++++++++++++++++
 2 files changed, 81 insertions(+)

diff --git a/app-office/texstudio/Manifest b/app-office/texstudio/Manifest
index 7563d2d10436..4cf5554cfebd 100644
--- a/app-office/texstudio/Manifest
+++ b/app-office/texstudio/Manifest
@@ -3,3 +3,4 @@ DIST texstudio-4.1.1.tar.gz 88564492 BLAKE2B d3a198b4d355ea0f07391b8ff816baacd03
 DIST texstudio-4.1.2.tar.gz 88666134 BLAKE2B 7c4310fd0d8fd446b8844f11c687f55818f7314a2e0614ac26b8023f8fa7e5eca1b60a3b3c0ce61ccb15d383b61c24280a67dd530a907b4b8e00a965b10230bf SHA512 0b88f82514462c363e6dcee899f3681883ce9db1bb21cbf9e5e657208338bba4a6cdb79feeaefb242350bc01b83851c5d2704a7d0e2888034070ef2588b77964
 DIST texstudio-4.2.0.tar.gz 88795988 BLAKE2B da849849d9ab57cb04de63f24e207b03b47393b876cd2762277e00f17d39b8c19a7508df567642faec8a5ac10400d2a6327343b40ab076f24f0bc8bb1b2ec683 SHA512 aff5ae645a3b3c362e0456270576770c5b39212902a37633b7279476cf6278ee292ef93c4a0c917b1d4d513aaf597d634f4cf7a469fd4e918f35ddbbe5cb1700
 DIST texstudio-4.2.1.tar.gz 88906345 BLAKE2B 045166fe73270013f9bff4965e3c1177c23b2419a2533144e069c6cc0f37ee729a816f9cdbc3baaf1ff0f936ef39d6bf5200b1ee89dabf43374860f52890b44f SHA512 2a3e435b7ac0ae2ce317b0de31f525c02bea39917b4ec5740f293109e09325008dfc174da41412c491376226f4cf458bd91e2d92f8b15cf4f3e41d82bc205bb4
+DIST texstudio-4.2.2.tar.gz 89234106 BLAKE2B a54b632ca6cf87410164f0a365f9a60b16cc51ea6ef12250b6ae6230ca7657615b3c91a88d995b2c654cbd42cda72b0e83af0b9471f87358f3f9a24270118d82 SHA512 b07dbe03b9b825fd2c6c057d996dad1247151d0034503d6e62426f0c4ff1e982da8eddf801e497bf9743349d41401ac9946f828c276f164aec0955c8324f5dea

diff --git a/app-office/texstudio/texstudio-4.2.2.ebuild b/app-office/texstudio/texstudio-4.2.2.ebuild
new file mode 100644
index 000000000000..25a2b9ebb237
--- /dev/null
+++ b/app-office/texstudio/texstudio-4.2.2.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit desktop qmake-utils xdg
+
+MY_PV="${PV/_/}"
+DESCRIPTION="Free cross-platform LaTeX editor (fork from texmakerX)"
+HOMEPAGE="https://www.texstudio.org https://github.com/texstudio-org/texstudio"
+SRC_URI="https://github.com/texstudio-org/texstudio/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${PN}-${MY_PV}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE="video"
+
+DEPEND="
+	app-text/hunspell:=
+	app-text/poppler:=[qt5]
+	>=dev-libs/quazip-1.0:0=
+	dev-qt/designer:5
+	dev-qt/qtcore:5
+	dev-qt/qtconcurrent:5
+	dev-qt/qtdeclarative:5
+	dev-qt/qtgui:5
+	dev-qt/qtnetwork:5
+	dev-qt/qtprintsupport:5
+	dev-qt/qtsingleapplication[qt5(+),X]
+	dev-qt/qtsvg:5
+	dev-qt/qttest:5
+	dev-qt/qtwidgets:5
+	dev-qt/qtxml:5
+	sys-libs/zlib
+	x11-libs/libX11
+	x11-libs/libXext
+	video? ( >=media-libs/phonon-4.11.0 )
+"
+RDEPEND="
+	${DEPEND}
+	app-text/ghostscript-gpl
+	app-text/psutils
+	media-libs/netpbm
+	virtual/latex-base
+"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=(
+	"${FILESDIR}/${PN}-3.0.5-quazip1.patch" # TODO: upstream
+)
+
+src_prepare() {
+	# TODO: find hunspell quazip utilities/poppler-data qtsingleapplication -delete || die
+	rm -r src/quazip || die
+
+	if use video; then
+		sed "/^PHONON/s:$:true:g" -i ${PN}.pro || die
+	fi
+
+	sed -e "/qtsingleapplication.pri/s/.*/CONFIG += qtsingleapplication/" \
+		-i ${PN}.pro || die
+	default
+}
+
+src_configure() {
+	eqmake5 USE_SYSTEM_HUNSPELL=1 USE_SYSTEM_QUAZIP=1 NO_TESTS=false
+}
+
+src_install() {
+	local i
+	for i in 16x16 22x22 32x32 48x48 64x64 128x128; do
+		newicon -s ${i} utilities/${PN}${i}.png ${PN}.png
+	done
+
+	emake DESTDIR="${D}" INSTALL_ROOT="${ED}" install
+
+	# We don't install licences per package
+	rm "${ED}"/usr/share/texstudio/COPYING || die
+}


             reply	other threads:[~2022-02-20 23:33 UTC|newest]

Thread overview: 121+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-02-20 23:33 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-11-04 10:58 [gentoo-commits] repo/gentoo:master commit in: app-office/texstudio/ Sam James
2024-11-04  9:30 Sam James
2024-10-05 13:22 Florian Schmaus
2024-10-04 20:32 Florian Schmaus
2024-10-03 15:57 Florian Schmaus
2024-06-12 12:33 Florian Schmaus
2024-06-12 12:08 Florian Schmaus
2024-02-02 16:27 Arthur Zamarin
2024-02-02 14:46 Arthur Zamarin
2023-12-06 14:33 Andrey Grozin
2023-12-06 14:32 Andrey Grozin
2023-04-25 19:49 Sam James
2023-04-25 14:47 Arthur Zamarin
2023-04-16  7:18 Sam James
2023-03-25  6:35 Arthur Zamarin
2023-03-22  5:27 Sam James
2022-09-10  0:29 Sam James
2022-09-09 16:09 Andrew Ammerlaan
2022-08-27  6:14 Sam James
2022-04-17 18:32 Sam James
2022-01-28  2:34 Sam James
2022-01-28  2:34 Sam James
2022-01-27 23:45 Jonas Stein
2022-01-09  1:42 Sam James
2021-12-08  5:43 Sam James
2021-12-08  5:43 Sam James
2021-12-06 11:31 Agostino Sarubbo
2021-12-05 18:28 Sam James
2021-11-22 10:55 Sam James
2021-11-06 21:17 Sam James
2021-10-27  5:34 Sam James
2021-10-13  2:54 Sam James
2021-09-28  1:45 Sam James
2021-09-25 19:20 Sam James
2021-06-13 11:12 Sam James
2021-05-13 16:15 Sam James
2021-04-01 22:30 Sam James
2021-04-01 12:11 Thomas Deutschmann
2021-03-15  3:09 Sam James
2021-02-26 20:58 Agostino Sarubbo
2021-02-25  8:19 Sam James
2021-02-23 19:53 Andreas Sturmlechner
2021-02-17 20:02 Sam James
2021-02-15  3:30 Sam James
2021-02-15  3:30 Sam James
2021-02-15  1:48 Sam James
2021-02-07  8:59 Sam James
2021-02-07  8:57 Sam James
2021-02-07  8:56 Sam James
2021-01-02 11:11 Sam James
2021-01-02 10:56 Sam James
2021-01-02 10:56 Sam James
2020-12-29  4:14 Sam James
2020-12-17  4:53 Sam James
2020-09-02  8:40 Mikle Kolyada
2020-09-02  8:40 Mikle Kolyada
2020-08-29  9:56 Mikle Kolyada
2020-08-29  9:56 Mikle Kolyada
2020-08-21 11:42 Sam James
2020-08-21 11:42 Sam James
2020-06-03 17:22 Jonas Stein
2020-05-24 14:56 Mikle Kolyada
2020-05-24 14:52 Mikle Kolyada
2020-05-24 14:52 Mikle Kolyada
2020-04-19  1:27 Jonas Stein
2020-04-13 23:45 Jonas Stein
2020-04-13 23:43 Jonas Stein
2020-04-13 23:22 Jonas Stein
2020-02-24 18:10 Mikle Kolyada
2020-02-24  6:32 Mikle Kolyada
2020-02-23 19:32 Mikle Kolyada
2020-01-08  9:31 Jonas Stein
2019-06-21 10:23 Mikle Kolyada
2019-04-21  9:25 Jonas Stein
2019-04-21  9:25 Jonas Stein
2019-04-20  9:02 Jonas Stein
2019-04-20  8:57 Jonas Stein
2019-03-19  2:03 Thomas Deutschmann
2019-03-15 22:37 Mikle Kolyada
2019-01-03 15:48 Jonas Stein
2018-07-08 13:35 Jonas Stein
2018-05-06 20:18 Andreas Sturmlechner
2018-05-06 18:12 Matt Turner
2018-05-05  1:50 Aaron Bauman
2018-04-25 19:31 Aaron Bauman
2018-04-24 13:40 Andreas Sturmlechner
2018-04-07 15:43 Jonas Stein
2018-03-19 17:16 Andreas Sturmlechner
2018-02-22 10:51 Andreas Sturmlechner
2017-12-27 13:14 Jonas Stein
2017-11-09 21:46 Jonas Stein
2017-11-05  0:49 Jonas Stein
2017-07-23 11:49 Manuel Rüger
2017-04-15 17:49 Manuel Rüger
2017-02-13 10:51 Manuel Rüger
2017-01-22 23:15 Manuel Rüger
2017-01-22 23:13 Manuel Rüger
2017-01-09 12:26 Aaron Bauman
2017-01-04 15:29 Agostino Sarubbo
2016-12-20 17:31 Tobias Klausmann
2016-10-29 10:59 Michael Palimaka
2016-10-10 22:30 Manuel Rüger
2016-08-25 15:43 Manuel Rüger
2016-07-17 19:55 Michael Palimaka
2016-01-23 12:11 Manuel Rüger
2016-01-23 12:11 Manuel Rüger
2016-01-10 11:56 Manuel Rüger
2015-11-19 12:26 Justin Lecher
2015-11-19 12:26 Justin Lecher
2015-11-12 11:21 Justin Lecher
2015-11-12 10:53 Agostino Sarubbo
2015-11-11  9:54 Agostino Sarubbo
2015-11-10 11:45 Agostino Sarubbo
2015-10-31  7:13 Jeroen Roovers
2015-10-27 12:34 Justin Lecher
2015-09-25 18:27 Justin Lecher
2015-09-25 14:13 Agostino Sarubbo
2015-09-24 10:36 Agostino Sarubbo
2015-09-17  8:05 Justin Lecher
2015-09-14  8:22 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1645399661.ad83a5e67b6aa68a71c2633b6008d6e8a5f8e962.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox